aboutsummaryrefslogtreecommitdiff
path: root/system/915resolution/915resolution.SlackBuild
diff options
context:
space:
mode:
authorhollywoodb <hollywoodb@fastmail.fm>2010-05-11 15:18:32 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-11 15:18:32 +0200
commit605420bc21e195161683a7008eb1facf5747bb69 (patch)
tree8703256b2110f5f5383f79f9dca7c59c87e12064 /system/915resolution/915resolution.SlackBuild
parentfc4a5b94c0c46fc0e7e125ef4892f12cb04d5cba (diff)
system/915resolution: Initial import
Diffstat (limited to 'system/915resolution/915resolution.SlackBuild')
-rw-r--r--system/915resolution/915resolution.SlackBuild53
1 files changed, 53 insertions, 0 deletions
diff --git a/system/915resolution/915resolution.SlackBuild b/system/915resolution/915resolution.SlackBuild
new file mode 100644
index 0000000000000..2a41490ad8f1a
--- /dev/null
+++ b/system/915resolution/915resolution.SlackBuild
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+## Written by hollywoodb (hollywoodb@fastmail.fm)
+## Package Homepage: http://www.geocities.com/stomljen/
+
+# Modified by the SlackBuilds.org project
+
+# Verify script is being run by root user.
+if [ "$(id -u)" != "0" ]; then
+ echo "This script must be run as root!"
+ exit
+fi
+
+NAME=915resolution
+VERSION=0.5.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$NAME
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+tar -xzvf $CWD/$NAME-$VERSION.tar.gz || exit 1
+cd $NAME-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+make clean
+make || exit 1
+mkdir -p $PKG/usr/sbin
+strip --strip-unneeded 915resolution
+install -m 0755 915resolution $PKG/usr/sbin
+install -m 0755 dump_bios $PKG/usr/sbin
+
+mkdir -p $PKG/usr/doc/$NAME-$VERSION
+cp -a LICENSE.txt README.txt changes.log chipset_info.txt $PKG/usr/doc/$NAME-$VERSION
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$NAME-$VERSION-$ARCH-$BUILD$TAG.tgz